#pragma once


namespace Theme
{
	namespace Sys
	{
		enum class Elevation
		{
			Level_0,
			Level_1,
			Level_2,
			Level_3,
			Level_4,
			Level_5,
		};
	}
}

class ElevationToken
{
public:
	static unsigned getValue(Theme::Sys::Elevation token)
	{
		switch (token)
		{
		case Theme::Sys::Elevation::Level_0:
			return 0;
		case Theme::Sys::Elevation::Level_1:
			return 1;
		case Theme::Sys::Elevation::Level_2:
			return 3;
		case Theme::Sys::Elevation::Level_3:
			return 6;
		case Theme::Sys::Elevation::Level_4:
			return 8;
		case Theme::Sys::Elevation::Level_5:
			return 12;
		default:
			return 0;
		}
	}
};